Loading...
Searching...
No Matches
BALL::BindingPocketProcessor Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/bindingPocketProcessor.h>`

Inheritance diagram for BALL::BindingPocketProcessor:

## Classes

struct | Option
struct | Default

## Public Member Functions

| BindingPocketProcessor ()
| BindingPocketProcessor (Options &new_options)
| BindingPocketProcessor (const BindingPocketProcessor &pp)
virtual | ~BindingPocketProcessor ()
const BindingPocketProcessor & | operator= (const BindingPocketProcessor &pp)
virtual bool | finish ()
| Finish .
virtual Processor::Result | operator() (Composite &composite)
const vector< std::pair< Vector3, double > > & | getActiveSitePoints () const
const vector< vector< std::pair< Vector3, double > > > & | getLayers () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()

## Public Attributes

Options | options

## Friends

std::ostream & | operator<< (std::ostream &os, const BindingPocketProcessor::Sphere_ &)

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

This processor searches for binding pockets in a given atom container. The pockets are detected with the PASS method (Fast Feature Selection Using Fractal Dimension (2000) Caetano Traina, Jr., Agma Traina, et al)

Definition at line 40 of file bindingPocketProcessor.h.

## Constructor & Destructor Documentation

## BindingPocketProcessor() [1/3]

BALL::BindingPocketProcessor::BindingPocketProcessor | ( |  | ) |

standard constructor

## BindingPocketProcessor() [2/3]

BALL::BindingPocketProcessor::BindingPocketProcessor | ( | Options & | new_options | ) |

constructor with options

## BindingPocketProcessor() [3/3]

BALL::BindingPocketProcessor::BindingPocketProcessor | ( | const BindingPocketProcessor & | pp | ) |

copy constructor

## ~BindingPocketProcessor()

virtual BALL::BindingPocketProcessor::~BindingPocketProcessor | ( |  | ) |

virtual

destructor

## Member Function Documentation

## finish()

virtual bool BALL::BindingPocketProcessor::finish | ( |  | ) |

virtual

Finish .

Reimplemented from BALL::UnaryProcessor< Composite >.

## getActiveSitePoints()

const vector< std::pair< Vector3, double > > & BALL::BindingPocketProcessor::getActiveSitePoints | ( |  | ) | const

Returns the position and burial counts of the calculated actice site points

## getLayers()

const vector< vector< std::pair< Vector3, double > > > & BALL::BindingPocketProcessor::getLayers | ( |  | ) | const

Returns a vector of vectors, each containing one layer with position and probe weight of its spheres

## operator()()

virtual Processor::Result BALL::BindingPocketProcessor::operator() | ( | Composite & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Composite >.

## operator=()

const BindingPocketProcessor & BALL::BindingPocketProcessor::operator= | ( | const BindingPocketProcessor & | pp | ) |

assignment operator

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const BindingPocketProcessor::Sphere_ & | )

friend

output operator for Sphere TODO: implement!

Definition at line 225 of file bindingPocketProcessor.h.

## Member Data Documentation

## options

Options BALL::BindingPocketProcessor::options

options for BALLPass

Definition at line 151 of file bindingPocketProcessor.h.